## libiodbc2 3.51.2

=== mac/Makefile ===
#
#  Makefile.mac
#
#  The iODBC driver manager.
#  
#  Copyright (C) 1996-2002 by OpenLink Software <iodbc@openlinksw.com>
#  All Rights Reserved.
#
#  This software is released under the terms of either of the following
#  licenses:
#
#      - GNU Library General Public License (see LICENSE.LGPL) 
#      - The BSD License (see LICENSE.BSD).
#
#  While not mandated by the BSD license, any patches you make to the
#  iODBC source code may be contributed back into the iODBC project
#  at your discretion. Contributions will benefit the Open Source and
#  Data Access community as a whole. Submissions may be made at:
#
#      http://www.iodbc.org
#
#
#  GNU Library Generic Public License Version 2
#  ============================================
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Library General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Library General Public License for more details.
#
#  You should have received a copy of the GNU Library General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
#  The BSD License
#  ===============
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#  3. Neither the name of OpenLink Software Inc. nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL OPENLINK OR
#  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
#  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
#  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
#  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
#  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


all: iODBCinst iODBC iODBCtest

#
# ascertain whether to use pbxbuild (jaguar) or xcodebuild (panther)
#

PROJBUILD:=$(shell (ls -1 /usr/bin/{pbxbuild,xcodebuild}|head -1)2>/dev/null)

#
#  Build the libraries 
#
.PHONY: iODBCinst iODBC
iODBC: include iODBCinst
	cd iODBC; $(PROJBUILD) build -buildstyle Deployment

iODBCinst: include 
	echo "Projbuild is [$(PROJBUILD)]"
	cd iODBCinst; $(PROJBUILD) build -buildstyle Deployment

#
#  Build the test program
#
.PHONY: iODBCtest
iODBCtest:
	cd iODBCtest; $(PROJBUILD) build -buildstyle Deployment


#
#  Generate iODBC framework style include files
#
.PHONY: include
include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcinst.h
	sh framework-include.sh

#
#  Install libraries in /Library/Frameworks
#
install:
	cd iODBC;     sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
	cd iODBCinst; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/


#
#  Clean out the targets
#
clean:
	rm -rf include
	cd iODBC;     $(PROJBUILD) clean
	cd iODBCinst; $(PROJBUILD) clean
	cd iODBCtest; $(PROJBUILD) clean

## libiodbc2 3.52.2

=== mac/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 #  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 
-all: iODBCinst iODBC iODBCtest
+all: iODBCinst iODBC iODBCtest iODBCtestw
 
 #
 # ascertain whether to use pbxbuild (jaguar) or xcodebuild (panther)
@@ -88,25 +88,29 @@
 #
 #  Build the test program
 #
-.PHONY: iODBCtest
+.PHONY: iODBCtest iODBCtestw
 iODBCtest:
 	cd iODBCtest; $(PROJBUILD) build -buildstyle Deployment
 
+iODBCtestw:
+	cd iODBCtestw ; $(PROJBUILD) build -buildstyle Deployment
 
 #
 #  Generate iODBC framework style include files
 #
 .PHONY: include
-include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcinst.h
+include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/iodbcinst.h
 	sh framework-include.sh
 
 #
 #  Install libraries in /Library/Frameworks
 #
 install:
+	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
+	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
 	cd iODBC;     sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
 	cd iODBCinst; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
-
+	sudo sh link-inclibs.sh
 
 #
 #  Clean out the targets
@@ -116,3 +120,4 @@
 	cd iODBC;     $(PROJBUILD) clean
 	cd iODBCinst; $(PROJBUILD) clean
 	cd iODBCtest; $(PROJBUILD) clean
+	cd iODBCtestw; $(PROJBUILD) clean

## libiodbc2 3.52.3

=== mac/Makefile ===
--- 
+++ 
@@ -98,9 +98,9 @@
 #
 #  Generate iODBC framework style include files
 #
-.PHONY: include
-include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/iodbcinst.h
+include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/odbcinst.h
 	sh framework-include.sh
+	touch include
 
 #
 #  Install libraries in /Library/Frameworks
@@ -108,8 +108,10 @@
 install:
 	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
 	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
-	cd iODBC;     sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBC; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
 	cd iODBCinst; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBCtest; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBCtestw; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
 	sudo sh link-inclibs.sh
 
 #

## libiodbc2 3.52.4

=== mac/Makefile ===
--- 
+++ 
@@ -2,15 +2,19 @@
 #  Makefile.mac
 #
 #  The iODBC driver manager.
-#  
-#  Copyright (C) 1996-2002 by OpenLink Software <iodbc@openlinksw.com>
+#
+#  Copyright (C) 1996-2006 by OpenLink Software <iodbc@openlinksw.com>
 #  All Rights Reserved.
 #
 #  This software is released under the terms of either of the following
 #  licenses:
 #
-#      - GNU Library General Public License (see LICENSE.LGPL) 
+#      - GNU Library General Public License (see LICENSE.LGPL)
 #      - The BSD License (see LICENSE.BSD).
+#
+#  Note that the only valid version of the LGPL license as far as this
+#  project is concerned is the original GNU Library General Public License
+#  Version 2, dated June 1991.
 #
 #  While not mandated by the BSD license, any patches you make to the
 #  iODBC source code may be contributed back into the iODBC project
@@ -24,8 +28,8 @@
 #  ============================================
 #  This library is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU Library General Public
-#  License as published by the Free Software Foundation; either
-#  version 2 of the License, or (at your option) any later version.
+#  License as published by the Free Software Foundation; only
+#  Version 2 of the License dated June 1991.
 #
 #  This library is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -34,7 +38,7 @@
 #
 #  You should have received a copy of the GNU Library General Public
 #  License along with this library; if not, write to the Free
-#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
 #
 #  The BSD License
@@ -64,36 +68,55 @@
 #  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 #  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 #  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
 
 
-all: iODBCinst iODBC iODBCtest iODBCtestw
+#
+#  Determine build model (Deployment/Development)
+#
+ifeq (,$(MODEL))
+MODEL	:= Deployment
+endif
+
 
 #
-# ascertain whether to use pbxbuild (jaguar) or xcodebuild (panther)
+#  Determine which version of Mac OS X we are running
 #
-
-PROJBUILD:=$(shell (ls -1 /usr/bin/{pbxbuild,xcodebuild}|head -1)2>/dev/null)
+macosx_version	:= $(shell sw_vers -productVersion)
 
 #
-#  Build the libraries 
+#  Mac OS X 10.2
 #
-.PHONY: iODBCinst iODBC
-iODBC: include iODBCinst
-	cd iODBC; $(PROJBUILD) build -buildstyle Deployment
-
-iODBCinst: include 
-	echo "Projbuild is [$(PROJBUILD)]"
-	cd iODBCinst; $(PROJBUILD) build -buildstyle Deployment
+ifeq (10.2, $(findstring 10.2, $(macosx_version)))
+    PROJBUILD := /usr/bin/pbxbuild -buildstyle $(MODEL)
+endif
 
 #
-#  Build the test program
+#  Mac OS X 10.3
 #
-.PHONY: iODBCtest iODBCtestw
-iODBCtest:
-	cd iODBCtest; $(PROJBUILD) build -buildstyle Deployment
+ifeq (10.3, $(findstring 10.3, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -buildstyle $(MODEL)
+endif
 
-iODBCtestw:
-	cd iODBCtestw ; $(PROJBUILD) build -buildstyle Deployment
+#
+#  Mac OS X 10.4
+#
+ifeq (10.4, $(findstring 10.4, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
+endif
+
+
+#
+#  Build the libraries
+#
+all: include
+	@echo "Building on Mac OS X $(macosx_version)"
+	@echo "Projbuild is [$(PROJBUILD)]"
+	cd iODBCinst;	$(PROJBUILD) build
+	cd iODBC;	$(PROJBUILD) build
+	cd iODBCtest;	$(PROJBUILD) build
+	cd iODBCtestw;	$(PROJBUILD) build
+
 
 #
 #  Generate iODBC framework style include files
@@ -102,24 +125,26 @@
 	sh framework-include.sh
 	touch include
 
+
 #
 #  Install libraries in /Library/Frameworks
 #
 install:
 	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
 	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
-	cd iODBC; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
-	cd iODBCinst; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
-	cd iODBCtest; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
-	cd iODBCtestw; sudo $(PROJBUILD) install -buildstyle Deployment DSTROOT=/
+	cd iODBCinst;	sudo $(PROJBUILD) install DSTROOT=/
+	cd iODBC;	sudo $(PROJBUILD) install DSTROOT=/
+	cd iODBCtest;	sudo $(PROJBUILD) install DSTROOT=/
+	cd iODBCtestw;	sudo $(PROJBUILD) install DSTROOT=/
 	sudo sh link-inclibs.sh
+
 
 #
 #  Clean out the targets
 #
 clean:
 	rm -rf include
-	cd iODBC;     $(PROJBUILD) clean
-	cd iODBCinst; $(PROJBUILD) clean
-	cd iODBCtest; $(PROJBUILD) clean
-	cd iODBCtestw; $(PROJBUILD) clean
+	cd iODBC;	$(PROJBUILD) clean
+	cd iODBCinst;	$(PROJBUILD) clean
+	cd iODBCtest;	$(PROJBUILD) clean
+	cd iODBCtestw;	$(PROJBUILD) clean

## libiodbc2 3.52.6

=== mac/Makefile ===
--- 
+++ 
@@ -148,3 +148,6 @@
 	cd iODBCinst;	$(PROJBUILD) clean
 	cd iODBCtest;	$(PROJBUILD) clean
 	cd iODBCtestw;	$(PROJBUILD) clean
+
+realclean: clean
+	rm -rf iODBC/build iODBCinst/build iODBCtest/build iODBCtestw/build

## libiodbc2 3.52.6-2

=== debian/changelog ===
libiodbc2 (3.52.6-2) unstable; urgency=low

  * Moved all .so files back to the -dev package.  Closes: #468455.
  * debian/patches/01_so.diff: Use ".so.2" instead of ".so".  See: #275179.
  * debian/patches/02_gtk.diff, debian/control: Removed gtk1.2 check, and
    removed libgtk1.2-dev from Build-Depends.  Closes: #454524.
  * Fixed "iodbc: spelling-error-in-description GTK GTK+".

 -- Bart Martens <bartm@debian.org>  Sat, 01 Mar 2008 18:19:57 +0100

libiodbc2 (3.52.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fixed substvar-source-version-is-deprecated.
  * debian/control: Build-Depends: libgtk2.0-dev.

 -- Bart Martens <bartm@debian.org>  Sat, 03 Nov 2007 10:07:00 +0100

libiodbc2 (3.52.5-1) unstable; urgency=low

  * New upstream release.
  * debian/*.lintian-overrides: Updated.
  * debian/README.Debian: Updated by upstream author.
  * debian/rules: Cleanup of generated changes.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Sat, 28 Apr 2007 21:20:19 +0200

libiodbc2 (3.52.4-5) unstable; urgency=low

  * debian/control, debian/compat: Reverted changing debhelper compat level.
    Closes: #410706.

 -- Bart Martens <bartm@knars.be>  Tue, 27 Feb 2007 23:39:44 +0100

libiodbc2 (3.52.4-4) unstable; urgency=low

  * debian/control: Added "m4 (>= 1.4.7)" to Build-Depends.  Closes: #404093.
    Thanks to Martin Guy <martinwguy@yahoo.it>.
  * Rebuilding this package makes iodbc depend on libiodbc2.  Closes: #405077.
    Thanks to Martin Guy <martinwguy@yahoo.it>.
  * debian/control: Removed duplicate Build-Depends on autotools-dev.
  * debian/control, debian/compat: Standards version and debhelper version.

 -- Bart Martens <bartm@knars.be>  Sun, 14 Jan 2007 12:13:31 +0100

libiodbc2 (3.52.4-3) unstable; urgency=low

  * New maintainer.  Closes: #230646.
  * debian/copyright: Updated by removing the existing patches.  This fixes
    the FSF address, and this restores some subtle upstream license choices.
  * debian/iodbc.lintian-overrides: Updated.
  * debian/libiodbc2.lintian-overrides: Updated.
  * debian/control, debian/rules: Use automake1.9.
  * debian/control: Standards version.
  * debian/control: Added homepage.

 -- Bart Martens <bartm@knars.be>  Sat, 22 Apr 2006 16:38:52 +0200

libiodbc2 (3.52.4-2) unstable; urgency=low

  * Fixed FTBFS due to bug in iodbc control file which has recently started
    to let dpkg-genchanges fail.

 -- Christian Hammers <ch@debian.org>  Mon,  6 Feb 2006 20:28:19 +0100

libiodbc2 (3.52.4-1) unstable; urgency=low

  * New upstream release.
    Closes: #339501 

 -- Christian Hammers <ch@debian.org>  Mon, 30 Jan 2006 21:37:30 +0100

libiodbc2 (3.52.3-1) unstable; urgency=low

  * New upstream release.
    Closes: #309935, #309936, #301304
  * Removed Debian specific patches and added --layout=debian to configure.

 -- Christian Hammers <ch@debian.org>  Wed, 16 Nov 2005 02:56:21 +0100

libiodbc2 (3.52.2-4) unstable; urgency=low

  * Raised automake version from 1.6 to 1.7 on request of Eric Dorland. 

 -- Christian Hammers <ch@debian.org>  Sun, 31 Jul 2005 23:50:25 +0200

libiodbc2 (3.52.2-3) unstable; urgency=low

  * Andreas Jochens reported a build problem on amd64 which uses the
    apparently more strict gcc-4.0 and provided a patch. Thanks!
    Closes: #294154

 -- Christian Hammers <ch@debian.org>  Tue,  8 Feb 2005 13:04:39 +0100

libiodbc2 (3.52.2-2) unstable; urgency=low

  * debian/rules: Adjusted CDBS variables necessary to update libtool
    (thanks to Robert Millan). Closes: #268306, #262295

 -- Christian Hammers <ch@debian.org>  Mon,  7 Feb 2005 21:05:33 +0100

libiodbc2 (3.52.2-1) unstable; urgency=low

  * New upstream version. 

 -- Christian Hammers <ch@debian.org>  Mon,  7 Feb 2005 19:28:33 +0100

libiodbc2 (3.52.1-2) unstable; urgency=medium

  * Moved all .so files from libiodbc2-dev to iodbc and libiodbc2 as some
    applications like iodbcadm-gtk from iodbc load their shared libraries
    in a DLL wrapper function at runtime and not via the common dynamic
    linking way! (thanks to Alexey Nezhdanov). Closes: #275179

 -- Christian Hammers <ch@debian.org>  Thu,  7 Oct 2004 23:02:04 +0200

libiodbc2 (3.52.1-1) unstable; urgency=low

  * New upstream release. 

 -- Christian Hammers <ch@debian.org>  Sat,  2 Oct 2004 21:48:11 +0200

libiodbc2 (3.51.2-5) unstable; urgency=medium

  * Reworked libtool update to fix FTBFS on ARM. 
    Sadly buildd said maybe-success and it took me a while to figure out
    that there was something for me to do :-(

 -- Christian Hammers <ch@debian.org>  Sat, 21 Aug 2004 15:08:48 +0200

libiodbc2 (3.51.2-4) unstable; urgency=medium

  * Added versioned dependencies to the .shlibs file (thanks to
    Adrian Bunk). Closes: #265494
  * Added shlibs.local.

 -- Christian Hammers <ch@debian.org>  Fri, 13 Aug 2004 22:38:39 +0200

libiodbc2 (3.51.2-3) unstable; urgency=low

  * Converted debian/rules to cdbs.

 -- Christian Hammers <ch@debian.org>  Mon,  2 Aug 2004 19:43:22 +0200

libiodbc2 (3.51.2-2) unstable; urgency=low

  * Reverted the "-ld" patch from last upload. The problem that my iodbc
    libraries all had a TEXTREL symbol in them was simply caused do a "bug"
    in the libc6 package that made libdl.so a symlink pointing from 
    /usr/lib/ to ../../lib/ which does not work if /usr is on another 
    partition than /lib!

 -- Christian Hammers <ch@debian.org>  Thu,  4 Mar 2004 01:33:55 +0100

libiodbc2 (3.51.2-1) unstable; urgency=medium

  * New upstream version. 
  * Changed Makefile so that there is no longer a TEXTREL secion in
    libiodbc.so.2.1.9 and "prelink" is happy. The shared library is now
    hopefully fully PIC compatible. Closes: #228859
  * Upstream fixed this bug according to private email. Closes: #169174
  * Changed section of libiodbc2-dev to libdevel.
  * Updated download link in copyright file.

 -- Christian Hammers <ch@debian.org>  Sun, 29 Feb 2004 22:39:59 +0100

libiodbc2 (3.51.1-3) unstable; urgency=low



=== debian/control ===
Source: libiodbc2
Section: libs
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libtool (>= 1.5-2), automake1.9, autoconf, cdbs, m4 , libgtk2.0-dev
Standards-Version: 3.7.3
Homepage: http://www.iodbc.org/

Package: iodbc
Section: misc
Architecture: any
Depends: ${shlibs:Depends}
Description: GTK+ config frontend for the iODBC Driver Manager
 The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
 with ODBC 2.x and 3.x specification and performs exact the jobs of a
 ODBC driver manager (i.e. driver loading, Parameters and function sequence
 checking, driver's function invoking, etc). Any ODBC driver works with
 ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager and
 vice versa.
 .
 Applications (using ODBC function calls) linked with iODBC driver manager
 will be able to simultaneously access different type of data sources within
 one process through suitable iODBC drivers.
 .
 This package contains the configuration binaries.

Package: libiodbc2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: iODBC Driver Manager
 iODBC (intrinsic Open Database Connectivity) driver manager is compatible
 with ODBC 2.x and 3.x specification and performs exact the jobs of a
 ODBC driver manager (i.e. driver loading, Parameters and function sequence
 checking, driver's function invoking, etc). Any ODBC driver works with
 ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager and 
 vice versa. 
 .
 Applications (using ODBC function calls) linked with iODBC driver manager 
 will be able to simultaneously access different type of data sources within 
 one process through suitable iODBC drivers.
 .
 This package contains the library files. Look for the iodbc package, too!

Package: libiodbc2-dev
Section: libdevel
Architecture: any
Depends: libiodbc2 (= ${binary:Version}), libc6-dev
Conflicts: libiodbc2 (<= 3.52.6-1), iodbc (<= 3.52.6-1)
Description: iODBC Driver Manager (development files)
 iODBC (intrinsic Open Database Connectivity) driver manager is compatible
 with ODBC 2.x and 3.x specification and performs exact the jobs of a
 ODBC driver manager (i.e. driver loading, Parameters and function sequence
 checking, driver's function invoking, etc). Any ODBC driver works with
 ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager and 
 vice versa. 
 .
 Applications (using ODBC function calls) linked with iODBC driver manager 
 will be able to simultaneously access different type of data sources within 
 one process through suitable iODBC drivers.
 .
 This package contains the development files.

## libiodbc2 3.52.7

=== debian/changelog ===
libiodbc2 (3.52.7-3) unstable; urgency=low

  * QA upload.
  * Find odbc drivers in a system dir.
  * Lower relation to iodbc from libiodbc2-dev. (Closes: #640975)

 -- Sune Vuorela <sune@debian.org>  Fri, 17 May 2013 23:08:52 +0200

libiodbc2 (3.52.7-2) unstable; urgency=low

  * QA upload
  * DH compat level 8, bump version in build-dependency on debhelper
  * debian/libiodbc2-dev.{install,files}: do not install .la files
    (closes: #621579).
  * debian/control: libiodbc2 depends on iodbc (closes: #571199).

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Apr 2011 08:40:01 +0200

libiodbc2 (3.52.7-1) experimental; urgency=low

  * QA upload
  * New upstream release (closes: #551595). This release fixes a segfault
    (closes:  #532563).
  * Convert to source format 3.0 (quilt)
  * DH compat level 5 (no change)
  * Removed patche 01_so.diff since incorporated by upstream.
  * Patch admin-compile: added admin/compile from version 3.52.6
    which apparently got lost

 -- Ralf Treinen <treinen@debian.org>  Sat, 26 Jun 2010 22:19:58 +0200

libiodbc2 (3.52.6-4) unstable; urgency=low

  * QA upload
  * patch debian/patches/05_unicode_includes.diff: iodbcinst/unicode.h
    needs to include <iodbc.h> for HAVE_* definitions from configure.
    Thanks to Colin Watson for the patch! (closes: 550063).
  * Added dependency on ${misc:Depends} for all binary packages from
    this source.

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Oct 2009 08:37:42 +0200

libiodbc2 (3.52.6-3) unstable; urgency=low

  * QA upload, orphaning this package.
  * debian/patches/03_bug508480.diff: Added.  Closes: #508480.
    Patch by Martín Ferrari <tincho@debian.org>, thanks.
  * debian/patches/04_bug501100.diff: Added.  Closes: #501100.
    Patch by Adam Majer <adamm@zombino.com>, thanks.
  * debian/control: Edited descriptions.  Closes: #477147.
    Patch by Adrian Knoth <adi@drcomp.erfurt.thur.de>, thanks.

 -- Bart Martens <bartm@debian.org>  Tue, 23 Dec 2008 19:48:18 +0100

=== debian/control ===
Source: libiodbc2
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, libtool (>= 1.5-2), automake1.9, autoconf, cdbs, m4 (>= 1.4.7), libgtk2.0-dev
Standards-Version: 3.8.0
Homepage: http://www.iodbc.org/

Package: iodbc
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: GTK+ config frontend for the iODBC Driver Manager
 The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
 with the ODBC 2.x and 3.x specification and performs all the jobs of a
 ODBC driver manager (i.e. driver loading, parameters and function sequence
 checking, driver's function invoking, etc). Any ODBC driver working with
 ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager
 and vice versa.
 .
 Applications (using ODBC function calls) linked with iODBC driver manager
 will be able to simultaneously access different types of data sources within
 one process through suitable iODBC drivers.
 .
 This package contains the configuration binaries.

Package: libiodbc2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Suggests: iodbc (= ${binary:Version})
Description: iODBC Driver Manager
 The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
 with the ODBC 2.x and 3.x specification and performs all the jobs of a
 ODBC driver manager (i.e. driver loading, parameters and function sequence
 checking, driver's function invoking, etc). Any ODBC driver working with
 ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager
 and vice versa.
 .
 Applications (using ODBC function calls) linked with iODBC driver manager
 will be able to simultaneously access different types of data sources within
 one process through suitable iODBC drivers.
 .
 This package contains the library files. Look for the iodbc package, too!

Package: libiodbc2-dev
Section: libdevel
Architecture: any
Depends: libiodbc2 (= ${binary:Version}), 
 ${misc:Depends} 
Conflicts: libiodbc2 (<= 3.52.6-1), iodbc (<= 3.52.6-1)
Description: iODBC Driver Manager (development files)
 The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
 with the ODBC 2.x and 3.x specification and performs all the jobs of a
 ODBC driver manager (i.e. driver loading, parameters and function sequence
 checking, driver's function invoking, etc). Any ODBC driver working with
 ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager
 and vice versa.
 .
 Applications (using ODBC function calls) linked with iODBC driver manager
 will be able to simultaneously access different types of data sources within
 one process through suitable iODBC drivers.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_LIBTOOL=pre
DEB_AUTO_UPDATE_ACLOCAL=1.9
DEB_AUTO_UPDATE_AUTOMAKE=1.9
DEB_AUTO_UPDATE_AUTOCONF=2.50

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/dpkg/architecture.mk

CFLAGS+=-DSYSTEM_DIR=\\\"/usr/lib/$(DEB_HOST_MULTIARCH)/odbc/\\\"

# To make sure that every package that links against libiodbc defines
# a versioned dependency and not just a normal one.
DEB_CONFIGURE_EXTRA_FLAGS := --with-layout=debian 
DEB_DH_MAKESHLIBS_ARGS := -V
DEB_SHLIBDEPS_LIBRARY_iodbc := libiodbc2
DEB_SHLIBDEPS_INCLUDE_iodbc := debian/libiodbc2/usr/lib:debian/iodbc/usr/lib
DEB_SHLIBDEPS_INCLUDE_libiodbc2 := debian/libiodbc2/usr/lib

CRUFT := \
	aclocal.m4 \
	admin/ltmain.sh \
	admin/Makefile.in \
	bin/Makefile.in \
	configure \
	drvproxy/gtk/Makefile.in \
	drvproxy/Makefile.in \
	etc/Makefile.in \
	include/Makefile.in \
	iodbc/Makefile.in \
	iodbc/trace/Makefile.in \
	iodbcadm/gtk/Makefile.in \
	iodbcadm/Makefile.in \
	iodbcinst/Makefile.in \
	Makefile.in \
	man/Makefile.in \
	samples/Makefile.in \

update-config::
	for f in $(CRUFT) ; do [ -e $$f.d-r-orig ] || cp -p $$f $$f.d-r-orig ; done

reverse-config::
	for f in $(CRUFT) ; do [ ! -e $$f.d-r-orig ] || mv $$f.d-r-orig $$f ; done

install/iodbc ::
	mkdir -p debian/tmp/usr/share/lintian/overrides/
	cp debian/iodbc.lintian-overrides debian/tmp/usr/share/lintian/overrides/iodbc

install/libiodbc2 ::
	mkdir -p debian/tmp/usr/share/lintian/overrides/
	cp debian/libiodbc2.lintian-overrides debian/tmp/usr/share/lintian/overrides/libiodbc2

#clean::
#	for f in $(CRUFT) ; do cp -p ../orig/*/$$f $$f ; done

clean::
	rm -f admin/libtool.m4 admin/ltoptions.m4 admin/ltversion.m4 admin/lt~obsolete.m4

## libiodbc2 3.52.9

=== mac/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #  The iODBC driver manager.
 #
-#  Copyright (C) 1996-2006 by OpenLink Software <iodbc@openlinksw.com>
+#  Copyright (C) 1996-2014 by OpenLink Software <iodbc@openlinksw.com>
 #  All Rights Reserved.
 #
 #  This software is released under the terms of either of the following
@@ -84,6 +84,7 @@
 #
 macosx_version	:= $(shell sw_vers -productVersion)
 
+
 #
 #  Mac OS X 10.2
 #
@@ -91,6 +92,7 @@
     PROJBUILD := /usr/bin/pbxbuild -buildstyle $(MODEL)
 endif
 
+
 #
 #  Mac OS X 10.3
 #
@@ -98,12 +100,69 @@
     PROJBUILD := /usr/bin/xcodebuild -buildstyle $(MODEL)
 endif
 
+
 #
 #  Mac OS X 10.4
 #
 ifeq (10.4, $(findstring 10.4, $(macosx_version)))
     PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
-endif
+    IODBC_TARGET=10.4
+    IODBC_SDK=/Developer/SDKs/MacOSX10.4u.sdk/
+endif
+
+
+#
+#  Mac OS X 10.5
+#
+ifeq (10.5, $(findstring 10.5, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
+    IODBC_TARGET=10.5
+    IODBC_SDK=/Developer/SDKs/MacOSX10.5.sdk/
+endif
+
+
+#
+#  Mac OS X 10.6
+#
+ifeq (10.6, $(findstring 10.6, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL)
+    IODBC_TARGET=10.6
+    IODBC_SDK=/Developer/SDKs/MacOSX10.6.sdk/
+endif
+
+
+#
+#  Mac OS X 10.7
+#
+ifeq (10.7, $(findstring 10.7, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL) -sdk macosx10.7
+    IODBC_TARGET=10.7
+    #IODBC_SDK=/Developer/SDKs/MacOSX10.7.sdk/
+endif
+
+
+#
+#  Mac OS X 10.8
+#
+ifeq (10.8, $(findstring 10.8, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL) -sdk macosx10.8
+    IODBC_TARGET=10.8
+endif
+
+
+#
+#  Mac OS X 10.9
+#
+ifeq (10.9, $(findstring 10.9, $(macosx_version)))
+    PROJBUILD := /usr/bin/xcodebuild -configuration $(MODEL) -sdk macosx10.9
+    IODBC_TARGET=10.9
+endif
+
+
+#
+#  Pass settings to xcodebuild
+#
+export IODBC_TARGET IODBC_SDK
 
 
 #
@@ -112,10 +171,14 @@
 all: include
 	@echo "Building on Mac OS X $(macosx_version)"
 	@echo "Projbuild is [$(PROJBUILD)]"
-	cd iODBCinst;	$(PROJBUILD) build
-	cd iODBC;	$(PROJBUILD) build
-	cd iODBCtest;	$(PROJBUILD) build
-	cd iODBCtestw;	$(PROJBUILD) build
+	cd iODBCinst;		$(PROJBUILD) build
+	cd iODBC;		$(PROJBUILD) build
+	cd iODBCtest;		$(PROJBUILD) build
+	cd iODBCtestw;		$(PROJBUILD) build
+	cd iODBCdrvproxy;	$(PROJBUILD) build
+	cd iODBCadm;		$(PROJBUILD) build
+	cd iODBCadministrator;	$(PROJBUILD) build
+	cd iODBCdemo;		$(PROJBUILD) build -alltargets
 
 
 #
@@ -123,20 +186,45 @@
 #
 include: framework-include.sh ../include/sql.h ../include/sqlext.h ../include/sqltypes.h ../include/iodbcext.h ../include/iodbcunix.h ../include/odbcinst.h
 	sh framework-include.sh
-	touch include
 
 
 #
 #  Install libraries in /Library/Frameworks
 #
 install:
-	-sudo rm /Library/Frameworks/iODBC.framework/Versions/Current
-	-sudo rm /Library/Frameworks/iODBCinst.framework/Versions/Current
-	cd iODBCinst;	sudo $(PROJBUILD) install DSTROOT=/
-	cd iODBC;	sudo $(PROJBUILD) install DSTROOT=/
-	cd iODBCtest;	sudo $(PROJBUILD) install DSTROOT=/
-	cd iODBCtestw;	sudo $(PROJBUILD) install DSTROOT=/
-	sudo sh link-inclibs.sh
+	#
+	#  Install Frameworks
+	#
+	-rm $(DESTDIR)/Library/Frameworks/iODBC.framework/Versions/Current
+	-rm $(DESTDIR)/Library/Frameworks/iODBCinst.framework/Versions/Current
+	cd iODBCinst;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	cd iODBC;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	#
+	#  Install /usr/local/iODBC
+	#
+	sh link-inclibs.sh
+	#
+	#  Install iODBC Administrator
+	#
+	cd iODBCadministrator;	$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	#  Next ones are a bit special as they need to be installed twice
+	cd iODBCadm;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBC.framework/Resources/
+	cd iODBCadm;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBCinst.framework/Resources/
+	cd iODBCdrvproxy;	$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBC.framework/Resources/
+	cd iODBCdrvproxy;	$(PROJBUILD) install DSTROOT=$(DESTDIR)/Library/Frameworks/iODBCinst.framework/Resources/
+	#
+	#  Install application
+	#
+	cd iODBCdemo;		$(PROJBUILD) install -alltargets DSTROOT=$(DESTDIR)/
+	cd iODBCtest;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	cd iODBCtestw;		$(PROJBUILD) install DSTROOT=$(DESTDIR)/
+	#
+	#  Install CFM bridge for Microsoft Office
+	#
+	mkdir -p "$(DESTDIR)/Library/CFMSupport/iODBC CFM Bridge"
+	install -m755 "iODBCcfmbridge/iODBC_CFM_Bridge" "$(DESTDIR)/Library/CFMSupport/iODBC CFM Bridge"
+	install -m755 "iODBCcfmbridge/iODBC_CFM_Bridge.res" "$(DESTDIR)/Library/CFMSupport/._iODBC CFM Bridge"
+	/System/Library/CoreServices/FixupResourceForks /Library/CFMSupport
 
 
 #
@@ -144,10 +232,22 @@
 #
 clean:
 	rm -rf include
-	cd iODBC;	$(PROJBUILD) clean
-	cd iODBCinst;	$(PROJBUILD) clean
-	cd iODBCtest;	$(PROJBUILD) clean
-	cd iODBCtestw;	$(PROJBUILD) clean
+	cd iODBC;		$(PROJBUILD) clean
+	cd iODBCinst;		$(PROJBUILD) clean
+	cd iODBCtest;		$(PROJBUILD) clean
+	cd iODBCtestw;		$(PROJBUILD) clean
+	cd iODBCdrvproxy;	$(PROJBUILD) clean
+	cd iODBCadm;		$(PROJBUILD) clean
+	cd iODBCadministrator;	$(PROJBUILD) clean
+	cd iODBCdemo;		$(PROJBUILD) clean
+
 
 realclean: clean
-	rm -rf iODBC/build iODBCinst/build iODBCtest/build iODBCtestw/build
+	rm -rf iODBC/build
+	rm -rf iODBCadm/build
+	rm -rf iODBCadministrator/build
+	rm -rf iODBCdemo/build
+	rm -rf iODBCdrvproxy/build
+	rm -rf iODBCinst/build
+	rm -rf iODBCtest/build
+	rm -rf iODBCtestw/build

=== debian/changelog ===
libiodbc2 (3.52.9-2) unstable; urgency=medium

  * Set SYSTEM_DIR to the odbc multiarch path. (Closes: #749427)
    Thanks to Christoph Berg.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 May 2014 13:06:37 +0200

libiodbc2 (3.52.9-1) unstable; urgency=medium

  * Add vcs control fields.
  * Bump Standards-Version to 3.9.5.
  * Prepare package for unstable. (Closes: #715086, #724405)
  * Add abi-compliance-checker info.
  * New upstream release.
  * Delete patch: admin-compile, upstream added the missing file.
  * Delete patch: full_path_wont_match_local_rule.diff, applied
    upstream.
  * Refresh patches.
  * Add dh-acc lintian-override.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 12:57:11 +0200

libiodbc2 (3.52.8-2) experimental; urgency=low

  * New patch: full_path_wont_match_local_rule.diff.
  * Use dh_autoreconf as-needed feature.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Jun 2013 19:54:24 +0200

libiodbc2 (3.52.8-1) experimental; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #509815)
  * Bump debhelper build-dep and compat to 9.
  * Migrate packaging to dh.
  * Bump Standards-Version to 3.9.4.
  * Add symbols files.
  * Update install files for multi-arch.
  * Update install files.
  * Add Pre-Depends for multi-arch.
  * Update lintian-overrides.
  * Remove duplicate section field.
  * Update libiodbc2-dev install file, remove private libraries.
  * Change includedir to avoid conflicts.
  * Install pkgconfig file.
  * Add Multi-Arch: same to libiodbc2.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Jun 2013 09:06:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,23 @@
 Source: libiodbc2
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, libtool (>= 1.5-2), automake1.9, autoconf, cdbs, m4 (>= 1.4.7), libgtk2.0-dev
-Standards-Version: 3.8.0
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>, Sune Vuorela <sune@debian.org>
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               dh-autoreconf,
+               libgtk2.0-dev,
+               pkg-kde-tools
+Standards-Version: 3.9.5
 Homepage: http://www.iodbc.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libiodbc2.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libiodbc2.git
 
 Package: iodbc
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: GTK+ config frontend for the iODBC Driver Manager
  The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
  with the ODBC 2.x and 3.x specification and performs all the jobs of a
@@ -25,9 +33,10 @@
  This package contains the configuration binaries.
 
 Package: libiodbc2
-Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: iodbc (= ${binary:Version})
 Description: iODBC Driver Manager
  The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
@@ -46,9 +55,8 @@
 Package: libiodbc2-dev
 Section: libdevel
 Architecture: any
-Depends: libiodbc2 (= ${binary:Version}), 
- ${misc:Depends} 
-Conflicts: libiodbc2 (<= 3.52.6-1), iodbc (<= 3.52.6-1)
+Depends: libiodbc2 (= ${binary:Version}), ${misc:Depends}
+Conflicts: iodbc (<= 3.52.6-1), libiodbc2 (<= 3.52.6-1)
 Description: iODBC Driver Manager (development files)
  The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
  with the ODBC 2.x and 3.x specification and performs all the jobs of a

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_CFLAGS_MAINT_APPEND = -DSYSTEM_DIR=\"/usr/lib/$(DEB_HOST_MULTIARCH)/odbc\"

%:
	dh $@ --parallel --with autoreconf,pkgkde_symbolshelper

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --includedir='$${prefix}/include/iodbc'

run_dh_acc:
	# The package needs to be installed (@ in autopkgtest)
	for in_file in debian/*.acc.in; do \
	    out_file=$${in_file%.in}; \
	    sed 's/\$${DEB_HOST_MULTIARCH}/'"$(DEB_HOST_MULTIARCH)"'/' \
		"$${in_file}" > "$${out_file}"; \
	done

	dh_acc

## libiodbc2 3.52.9.1

=== debian/changelog ===
libiodbc2 (3.52.9.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Wed, 15 Jun 2022 11:16:08 +0800

libiodbc2 (3.52.9.1-1+dde) stable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Sun, 15 May 2022 02:56:55 +0800

libiodbc2 (3.52.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Force using triplet-prefixed pkg-config. (Closes: #838208)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 12 Dec 2017 22:31:37 +0100

## libiodbc2 3.52.16

=== debian/changelog ===
libiodbc2 (3.52.16-2) unstable; urgency=medium

  * QA upload
  * Build with -Wno-incompatible-pointer-types

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Nov 2025 13:07:58 +0100

libiodbc2 (3.52.16-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Build with -std=c17 (Closes: #1097202)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Nov 2025 08:44:44 +0100

libiodbc2 (3.52.9-4) unstable; urgency=medium

  * QA upload
  * Drop iodbc package (Closes: #967584)

 -- Bastian Germann <bage@debian.org>  Mon, 17 Jul 2023 16:09:27 +0200

libiodbc2 (3.52.9-3) unstable; urgency=medium

  * Orphan package.
  * Add missing build dependency to dh-acc.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Dec 2022 23:16:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,16 @@
 Source: libiodbc2
 Section: libs
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>, Sune Vuorela <sune@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
+               dh-acc,
                dh-autoreconf,
-               libgtk2.0-dev,
                pkg-kde-tools
 Standards-Version: 3.9.5
 Homepage: http://www.iodbc.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libiodbc2.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libiodbc2.git
-
-Package: iodbc
-Section: misc
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: GTK+ config frontend for the iODBC Driver Manager
- The iODBC (intrinsic Open Database Connectivity) driver manager is compatible
- with the ODBC 2.x and 3.x specification and performs all the jobs of a
- ODBC driver manager (i.e. driver loading, parameters and function sequence
- checking, driver's function invoking, etc). Any ODBC driver working with
- ODBC 2.0 and 3.x driver manager will also work with iODBC driver manager
- and vice versa.
- .
- Applications (using ODBC function calls) linked with iODBC driver manager
- will be able to simultaneously access different types of data sources within
- one process through suitable iODBC drivers.
- .
- This package contains the configuration binaries.
+Vcs-Browser: https://salsa.debian.org/debian/libiodbc2
+Vcs-Git: https://salsa.debian.org/debian/libiodbc2.git
 
 Package: libiodbc2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_CFLAGS_MAINT_APPEND = -DSYSTEM_DIR=\"/usr/lib/$(DEB_HOST_MULTIARCH)/odbc\"
+
+# Temporary workaround, see:
+# - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1097202
+# - https://github.com/openlink/iODBC/issues/113
+# - https://github.com/openlink/iODBC/issues/118
+export CFLAGS += -std=c17 -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-pointer-types
 
 %:
 	dh $@ --parallel --with autoreconf,pkgkde_symbolshelper
@@ -11,7 +17,7 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	dh_auto_configure -- --includedir='$${prefix}/include/iodbc'
+	dh_auto_configure -- --includedir='$${prefix}/include/iodbc' --disable-gui
 
 run_dh_acc:
 	# The package needs to be installed (@ in autopkgtest)

=== debian/watch ===
version=3
#http://www.iodbc.org/downloads/iODBC/libiodbc-(\d.*)\.tar\.gz
http://sf.net/iodbc/libiodbc-(\d.*)\.tar\.gz
